<template>
  <!-- Generator: Adobe Illustrator 19.0.0, SVG Export Plug-In . SVG Version: 6.00 Build 0)  -->
  <svg
    version="1.1"
    id="Layer_1"
    xmlns="http://www.w3.org/2000/svg"
    xmlns:xlink="http://www.w3.org/1999/xlink"
    x="0px"
    y="0px"
	  viewBox="0 0 512 512"
    style="enable-background:new 0 0 512 512;"
    xml:space="preserve"
    :fill="fill">
		<path d="M302.78,239.712c-4.434-4.429-11.619-4.429-16.05,0.001l-21.306,21.306c-2.937-1.089-6.11-1.687-9.422-1.687
			c-3.314,0-6.49,0.599-9.429,1.691l-43.793-43.795c-4.431-4.429-11.616-4.429-16.046,0c-4.431,4.431-4.432,11.616,0,16.048
			l43.797,43.798c-1.089,2.935-1.686,6.108-1.686,9.418c0,14.975,12.183,27.159,27.159,27.159c14.976,0,27.159-12.183,27.159-27.159
			c0-3.312-0.598-6.487-1.688-9.426l21.306-21.306C307.211,251.329,307.211,244.144,302.78,239.712z M256.002,293.225
			c-3.714,0-6.735-3.022-6.735-6.735s3.022-6.735,6.735-6.735c3.714,0,6.735,3.022,6.735,6.735
			C262.736,290.204,259.715,293.225,256.002,293.225z"/>
		<path d="M389.959,114.459l12.856-18.36l51.541,36.09c1.92,1.346,4.196,2.053,6.508,2.053c0.656,0,1.315-0.057,1.97-0.172
			c2.964-0.522,5.598-2.2,7.324-4.666c26.013-37.151,16.952-88.54-20.198-114.555c-37.151-26.017-88.542-16.953-114.553,20.198
			c-3.595,5.133-2.346,12.208,2.786,15.802l46.034,32.234l-12.859,18.365C337.88,80.494,298.334,68.36,256.002,68.36
			c-42.332,0-81.877,12.134-115.366,33.088l-12.86-18.365l46.034-32.234c5.133-3.595,6.381-10.669,2.787-15.802
			C150.584-2.105,99.195-11.166,62.043,14.848C24.892,40.861,15.83,92.25,41.843,129.402c1.726,2.466,4.361,4.144,7.324,4.666
			c0.655,0.117,1.314,0.172,1.97,0.172c2.312,0,4.589-0.708,6.508-2.053l51.541-36.09l12.856,18.36
			C70.85,154.412,37.87,216.669,37.87,286.491c0,75.929,39.004,142.91,98.02,181.99l-17.97,25.664
			c-3.595,5.132-2.346,12.208,2.786,15.802c1.981,1.388,4.25,2.054,6.498,2.054c3.576,0,7.097-1.687,9.304-4.84l18.986-27.115
			c30.097,15.691,64.281,24.579,100.506,24.579c36.221,0,70.402-8.886,100.496-24.573l18.982,27.11
			c2.207,3.152,5.728,4.841,9.304,4.841c2.247,0,4.518-0.666,6.498-2.054c5.133-3.595,6.38-10.669,2.786-15.802l-17.965-25.657
			c59.021-39.079,98.029-106.063,98.029-181.996C474.133,216.669,441.154,154.412,389.959,114.459z M361.392,39.391
			c20.088-19.425,51.829-22.564,75.553-5.955c23.724,16.613,31.629,47.514,20.246,73.033L361.392,39.391z M54.814,106.47
			C43.43,80.951,51.335,50.049,75.06,33.437c10.375-7.264,22.28-10.751,34.077-10.751c15.177,0,30.173,5.775,41.475,16.706
			L54.814,106.47z M256.002,481.93c-107.766,0-195.439-87.673-195.439-195.439S148.236,91.053,256.002,91.053
			s195.439,87.673,195.439,195.438S363.767,481.93,256.002,481.93z"/>
		<path d="M256.002,126.07c-88.456,0-160.421,71.965-160.421,160.421s71.965,160.421,160.421,160.421s160.42-71.965,160.42-160.421
			S344.458,126.07,256.002,126.07z M362.642,377.084l-7.667-7.666c-4.431-4.43-11.616-4.43-16.046,0
			c-4.431,4.431-4.431,11.616,0,16.046l7.666,7.667c-21.731,18.489-49.159,30.47-79.246,32.895v-10.912
			c0-6.266-5.08-11.347-11.347-11.347c-6.267,0-11.347,5.081-11.347,11.347v10.912c-30.088-2.425-57.515-14.406-79.247-32.895
			l7.667-7.667c4.431-4.431,4.431-11.616,0-16.046c-4.431-4.43-11.616-4.43-16.048,0l-7.667,7.667
			c-18.489-21.731-30.47-49.159-32.895-79.247h10.912c6.267,0,11.347-5.08,11.347-11.347c0-6.267-5.08-11.347-11.347-11.347h-10.912
			c2.425-30.088,14.406-57.515,32.895-79.247l7.667,7.667c2.216,2.215,5.12,3.323,8.023,3.323s5.808-1.109,8.023-3.323
			c4.431-4.431,4.431-11.616,0-16.048l-7.667-7.667c21.731-18.489,49.159-30.47,79.247-32.895v10.913
			c0,6.266,5.08,11.347,11.347,11.347c6.267,0,11.347-5.081,11.347-11.347v-10.913c30.088,2.425,57.515,14.406,79.246,32.895
			l-7.666,7.667c-4.431,4.431-4.431,11.616,0,16.048c2.216,2.215,5.12,3.323,8.023,3.323s5.808-1.109,8.023-3.323l7.667-7.666
			c18.489,21.731,30.469,49.158,32.894,79.246h-10.912c-6.267,0-11.347,5.08-11.347,11.347s5.082,11.347,11.348,11.347h10.912
			C393.112,327.926,381.131,355.353,362.642,377.084z"/>
  </svg>
</template>

<script>
export default {
  props: ['fill']
}
</script>

